package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.ByteArrayInputStream;
import java.nio.charset.StandardCharsets;
import org.apache.bcel.classfile.Signature;

final class MyByteArrayInputStream extends ByteArrayInputStream {
  MyByteArrayInputStream(String data) {
    super(data.getBytes(StandardCharsets.UTF_8));
  }
  
  String getData() {
    return new String(this.buf, StandardCharsets.UTF_8);
  }
  
  void unread() {
    if (this.pos > 0)
      this.pos--; 
  }
}
